/create-salesforce-targetAsk AIpost https://api.akeyless.io/create-salesforce-targetBody Paramsapp-private-key-datastringBase64 encoded PEM of the connected app private key (relevant for JWT auth only)auth-flowstringrequiredtype of the auth flow ('jwt' / 'user-password')ca-cert-datastringBase64 encoded PEM cert to use when uploading a new key to Salesforceca-cert-namestringname of the certificate in Salesforce tenant to use when uploading new keyclient-idstringrequiredClient ID of the oauth2 app to use for connecting to Salesforceclient-secretstringClient secret of the oauth2 app to use for connecting to Salesforce (required for password flow)commentstringDeprecated - use descriptiondescriptionstringDescription of the objectemailstringrequiredThe email of the user attached to the oauth2 app used for connecting to SalesforcejsonbooleanDefaults to falseSet output format to JSONtruefalsekeystringThe name of a key that used to encrypt the target secret value (if empty, the account default protectionKey key will be used)max-versionsstringSet the maximum number of versions, limited by the account settings defaults.namestringrequiredTarget namepasswordstringThe password of the user attached to the oauth2 app used for connecting to Salesforce (required for user-password flow)security-tokenstringThe security token of the user attached to the oauth2 app used for connecting to Salesforce (required for user-password flow)tenant-urlstringrequiredUrl of the Salesforce tenanttokenstringAuthentication token (see /auth and /configure)uid-tokenstringThe universal identity token, Required only for universal_identity authenticationResponses 200createSalesforceTargetResponse wraps response body. defaulterrorResponse wraps any error to return it as a JSON object with one "error" field.Updated 7 months ago